function dataTransfer(serverData,valueList) {
	var Container = function(name, children) {
		this.name = name;
		this.children = children;

	};
	var valueMap = getParameterMap(valueList);
	var editorInfos = new Array();
	var paramInfos = serverData.paramInfoModels;
	var groupInfos = serverData.groupModels;
	if (paramInfos != null) {
		for ( var i = 0; i < paramInfos.length; i++) {
			var value = valueMap.get(paramInfos[i].name);
			paramInfos[i].value = value;
			editorInfos.push(paramInfos[i]);

		}

	}

	if (serverData.groupModels != null) {
		for ( var i = 0; i < groupInfos.length; i++) {
			var container = new Container(groupInfos[i].name,
					dataTransfer(groupInfos[i]));
			editorInfos.push(container);
		}

	}

	var editorInfos = editorInfos.sort(function(a, b) {
		return a.name.localeCompare(b.name);
	});
	return editorInfos;
}
function getParameterMap(parameters){
	var paramMap = new HashMap();
	if(parameters != null && parameters != undefined){
		for(var i=0;i<parameters.length;i++){
			paramMap.put(parameters[i].key,parameters[i].value);
		}
	}
	return paramMap;
}